## ThunarLocationBar ThunarLocationBar |

## Functions

GtkWidget * | thunar_location_bar_new ()
void | thunar_location_bar_request_entry ()
void | thunar_location_bar_cancel_search ()
gchar * | thunar_location_bar_get_search_query ()

## Signals

void | entry-done | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── ThunarLocationBar

## Description

## Functions

### thunar_location_bar_new ()

    GtkWidget *
    thunar_location_bar_new (void);

### thunar_location_bar_request_entry ()

    void
    thunar_location_bar_request_entry (ThunarLocationBar *bar,
                                       const gchar *initial_text);

Makes the location bar display an entry with the given text and places the cursor accordingly. If the currently displayed location widget is a path bar, it will be temporarily swapped for an entry widget and swapped back once the user completed (or aborted) the input.

#### Parameters

bar | The ThunarLocationBar |
initial_text | The initial text to be placed inside the entry, or NULL to use the path of the current directory. |

### thunar_location_bar_cancel_search ()

    void
    thunar_location_bar_cancel_search (ThunarLocationBar *bar);

Cancels the search for the location bar and its children.

#### Parameters

bar | The ThunarLocationBar |

### thunar_location_bar_get_search_query ()

    gchar *
    thunar_location_bar_get_search_query (ThunarLocationBar *entry);

Returns a copy of the search query in the text field of `entry` or "" if the path_entry doesn't contain a search query.

It's the responsibility of the caller to free the returned string using `g_free`.

#### Parameters

entry | a ThunarLocationBar. |

## Signal Details

### The `“entry-done”` signal

    void
    user_function (ThunarLocationBar *location_bar,
                   gpointer           user_data)

Emitted by `location_bar` exactly once after an entry has been requested using thunar_location_bar_request_entry and the user has finished editing the entry.

#### Parameters

location_bar | a ThunarLocationBar. |
user_data | user data set when the signal handler was connected. |

Flags: Action